clear;

x = loadsig('testfft.tr0');

fs = 1/10e-12;

y1 = evalsig(x,'rfbit10');
y2 = evalsig(x,'rfpwmcenter');
y3 = evalsig(x,'rfpwmcentermismatch');

%%

rbw = 100e3;
[YdB1,f] = fun_calc_psd(y1,fs,rbw);
[YdB2,f] = fun_calc_psd(y2,fs,rbw);
[YdB3,f] = fun_calc_psd(y3,fs,rbw);

%%

figure(1);
h0 = figure(1);
set(h0,'Position',[646 200 560*1.07 420*1.07]);
clf;
plot(f/1e9,YdB1,'r-',f/1e9,YdB2,'k-',f/1e9,YdB3,'g-');
hold on;
plot([0.9617 1.0217],[-156 -156],'k',[1.0617 1.1217],[-156 -156],'k','LineWidth',4);
hold off;
grid on;
ylabel('PSD (dB)');
xlabel('Frequency (GHz)');
title('Output Spectrum of DPA (dB)');
[legend_h,object_h,plot_h,text_strings]= ...
    legend('10-bit DPA','PWM without mismatch','PWM with mismatch');
set(object_h,'LineWidth',3);
axis([1.0417-0.2 1.0417+0.2 -180 -120]);
%axis([1.0417-0.2 1.0417+0.2 -180 10]);
text(0.95,-134,'10-bit DPA','BackgroundColor',[1 1 1]);
text(0.975,-137,'\downarrow');
text(0.86,-158,'PWM with mismatch','BackgroundColor',[1 1 1]);
text(0.88,-160.5,'\downarrow');
text(0.97,-172,'PWM without mismatch','BackgroundColor',[1 1 1]);
text(0.987,-169.9,'\uparrow');
text(0.95,-123,'upconverted','BackgroundColor',[1 1 1]);
text(0.94,-125.5,'baseband signal','BackgroundColor',[1 1 1]);
text(1.026,-124.25,'\rightarrow');
text(1.125,-158,'\downarrow','Rotation',45);
text(1.135,-158.4,'3GPP mask','BackgroundColor',[1 1 1]);

