clear;

x = loadsig('testfft.tr0');

fs = 1/10e-12;

y1 = evalsig(x,'rfbit10');
y2 = evalsig(x,'rfpwmnoncenter');
y3 = evalsig(x,'rfpwmnoncentermismatch');

%%

rbw = 100e3;
[YdB1,f] = fun_calc_psd(y1,fs,rbw);
[YdB2,f] = fun_calc_psd(y2,fs,rbw);
[YdB3,f] = fun_calc_psd(y3,fs,rbw);

%%

figure(1);
h0 = figure(1);
set(h0,'Position',[646 200 560*1.07 420*1.07]);
clf;
plot(f/1e9,YdB1,'r-',f/1e9,YdB2,'k-',f/1e9,YdB3,'b-');
hold on;
plot([0.9617 1.0217],[-156 -156],'k',[1.0617 1.1217],[-156 -156],'k','LineWidth',4);
hold off;
grid on;
ylabel('PSD (dB)');
xlabel('Frequency (GHz)');
title('Output Spectrum of DPA (dB)');
[legend_h,object_h,plot_h,text_strings]= ...
    legend('10-bit DPA','noncentered PWM', ...
    'noncentered PWM\newlinewith mismatch');
set(object_h,'LineWidth',3);
axis([1.0417-0.2 1.0417+0.2 -180 -120]);
text(0.884,-156,'3GPP mask','BackgroundColor',[1 1 1]);
text(0.946,-155.8,'\leftarrow');
